Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAccordion

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractAccordion
                          org.richfaces.component.UIAccordion

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIAccordion

extends AbstractAccordion
implements javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-08-05
Author:
  akolonitsky

Nested Class Summary
`protected static class` | `UIAccordion.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`UIAccordion()`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getDefaultEventName()`
`java.lang.String` | `getDir()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.Object` | `getExecute()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeight()`
`java.lang.String` | `getItemActiveHeaderClass()`
`java.lang.String` | `getItemActiveLeftIcon()`
`java.lang.String` | `getItemActiveRightIcon()`
`javax.el.MethodExpression` | `getItemChangeListener()`
`java.lang.String` | `getItemContentClass()`
`java.lang.String` | `getItemDisabledHeaderClass()`
`java.lang.String` | `getItemDisabledLeftIcon()`
`java.lang.String` | `getItemDisabledRightIcon()`
`java.lang.String` | `getItemHeaderClass()`
`java.lang.String` | `getItemInactiveHeaderClass()`
`java.lang.String` | `getItemInactiveLeftIcon()`
`java.lang.String` | `getItemInactiveRightIcon()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getOnbeforeitemchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnitemchange()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.Object` | `getRender()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getWidth()`
`boolean` | `isCycledSwitching()`
`boolean` | `isLimitRender()`
`void` | `setCycledSwitching(boolean cycledSwitching)`
`void` | `setData(java.lang.Object data)`
`void` | `setDir(java.lang.String dir)`
`void` | `setExecute(java.lang.Object execute)`
`void` | `setHeight(java.lang.String height)`
`void` | `setItemActiveHeaderClass(java.lang.String itemActiveHeaderClass)`
`void` | `setItemActiveLeftIcon(java.lang.String itemActiveLeftIcon)`
`void` | `setItemActiveRightIcon(java.lang.String itemActiveRightIcon)`
`void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
`void` | `setItemContentClass(java.lang.String itemContentClass)`
`void` | `setItemDisabledHeaderClass(java.lang.String itemDisabledHeaderClass)`
`void` | `setItemDisabledLeftIcon(java.lang.String itemDisabledLeftIcon)`
`void` | `setItemDisabledRightIcon(java.lang.String itemDisabledRightIcon)`
`void` | `setItemHeaderClass(java.lang.String itemHeaderClass)`
`void` | `setItemInactiveHeaderClass(java.lang.String itemInactiveHeaderClass)`
`void` | `setItemInactiveLeftIcon(java.lang.String itemInactiveLeftIcon)`
`void` | `setItemInactiveRightIcon(java.lang.String itemInactiveRightIcon)`
`void` | `setLang(java.lang.String lang)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforeitemchange(java.lang.String onbeforeitemchange)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnitemchange(java.lang.String onitemchange)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setRender(java.lang.Object render)`
`void` | `setStatus(java.lang.String status)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTitle(java.lang.String title)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.richfaces.component.AbstractAccordion
`getActiveItem`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getFirstItem, getItem, getItemByIndex, getItemChangeListeners, getItems, getLastItem, getNextItem, getNextItem, getPrevItem, getPrevItem, getRenderedItems, getRendersChildren, getSubmittedActiveItem, getSubmittedValue, getSwitchType, isActiveItem, isActiveItem, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateModel, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAccordion

    public UIAccordion()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `AbstractAccordion`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### isCycledSwitching

    public boolean isCycledSwitching()

  Specified by:
    `isCycledSwitching` in class `AbstractTogglePanel`

### setCycledSwitching

    public void setCycledSwitching(boolean cycledSwitching)

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `AbstractTogglePanel`

### setData

    public void setData(java.lang.Object data)

### getDir

    public java.lang.String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### setDir

    public void setDir(java.lang.String dir)

### getExecute

    public java.lang.Object getExecute()

  Specified by:
    `getExecute` in class `AbstractTogglePanel`

### setExecute

    public void setExecute(java.lang.Object execute)

### getHeight

    public java.lang.String getHeight()

  Specified by:
    `getHeight` in class `AbstractAccordion`

### setHeight

    public void setHeight(java.lang.String height)

### getItemActiveHeaderClass

    public java.lang.String getItemActiveHeaderClass()

  Specified by:
    `getItemActiveHeaderClass` in class `AbstractAccordion`

### setItemActiveHeaderClass

    public void setItemActiveHeaderClass(java.lang.String itemActiveHeaderClass)

### getItemActiveLeftIcon

    public java.lang.String getItemActiveLeftIcon()

  Specified by:
    `getItemActiveLeftIcon` in class `AbstractAccordion`

### setItemActiveLeftIcon

    public void setItemActiveLeftIcon(java.lang.String itemActiveLeftIcon)

### getItemActiveRightIcon

    public java.lang.String getItemActiveRightIcon()

  Specified by:
    `getItemActiveRightIcon` in class `AbstractAccordion`

### setItemActiveRightIcon

    public void setItemActiveRightIcon(java.lang.String itemActiveRightIcon)

### getItemChangeListener

    public javax.el.MethodExpression getItemChangeListener()

  Specified by:
    `getItemChangeListener` in class `AbstractTogglePanel`

### setItemChangeListener

    public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

### getItemContentClass

    public java.lang.String getItemContentClass()

  Specified by:
    `getItemContentClass` in class `AbstractAccordion`

### setItemContentClass

    public void setItemContentClass(java.lang.String itemContentClass)

### getItemDisabledHeaderClass

    public java.lang.String getItemDisabledHeaderClass()

  Specified by:
    `getItemDisabledHeaderClass` in class `AbstractAccordion`

### setItemDisabledHeaderClass

    public void setItemDisabledHeaderClass(java.lang.String itemDisabledHeaderClass)

### getItemDisabledLeftIcon

    public java.lang.String getItemDisabledLeftIcon()

  Specified by:
    `getItemDisabledLeftIcon` in class `AbstractAccordion`

### setItemDisabledLeftIcon

    public void setItemDisabledLeftIcon(java.lang.String itemDisabledLeftIcon)

### getItemDisabledRightIcon

    public java.lang.String getItemDisabledRightIcon()

  Specified by:
    `getItemDisabledRightIcon` in class `AbstractAccordion`

### setItemDisabledRightIcon

    public void setItemDisabledRightIcon(java.lang.String itemDisabledRightIcon)

### getItemHeaderClass

    public java.lang.String getItemHeaderClass()

  Specified by:
    `getItemHeaderClass` in class `AbstractAccordion`

### setItemHeaderClass

    public void setItemHeaderClass(java.lang.String itemHeaderClass)

### getItemInactiveHeaderClass

    public java.lang.String getItemInactiveHeaderClass()

  Specified by:
    `getItemInactiveHeaderClass` in class `AbstractAccordion`

### setItemInactiveHeaderClass

    public void setItemInactiveHeaderClass(java.lang.String itemInactiveHeaderClass)

### getItemInactiveLeftIcon

    public java.lang.String getItemInactiveLeftIcon()

  Specified by:
    `getItemInactiveLeftIcon` in class `AbstractAccordion`

### setItemInactiveLeftIcon

    public void setItemInactiveLeftIcon(java.lang.String itemInactiveLeftIcon)

### getItemInactiveRightIcon

    public java.lang.String getItemInactiveRightIcon()

  Specified by:
    `getItemInactiveRightIcon` in class `AbstractAccordion`

### setItemInactiveRightIcon

    public void setItemInactiveRightIcon(java.lang.String itemInactiveRightIcon)

### getLang

    public java.lang.String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### setLang

    public void setLang(java.lang.String lang)

### isLimitRender

    public boolean isLimitRender()

  Specified by:
    `isLimitRender` in class `AbstractTogglePanel`

### setLimitRender

    public void setLimitRender(boolean limitRender)

### getOnbeforeitemchange

    public java.lang.String getOnbeforeitemchange()

  Specified by:
    `getOnbeforeitemchange` in class `AbstractAccordion`

### setOnbeforeitemchange

    public void setOnbeforeitemchange(java.lang.String onbeforeitemchange)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnitemchange

    public java.lang.String getOnitemchange()

  Specified by:
    `getOnitemchange` in class `AbstractAccordion`

### setOnitemchange

    public void setOnitemchange(java.lang.String onitemchange)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getRender

    public java.lang.Object getRender()

  Specified by:
    `getRender` in class `AbstractTogglePanel`

### setRender

    public void setRender(java.lang.Object render)

### getStatus

    public java.lang.String getStatus()

  Specified by:
    `getStatus` in class `AbstractTogglePanel`

### setStatus

    public void setStatus(java.lang.String status)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### setTitle

    public void setTitle(java.lang.String title)

### getWidth

    public java.lang.String getWidth()

  Specified by:
    `getWidth` in class `AbstractAccordion`

### setWidth

    public void setWidth(java.lang.String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.